
D4Science Infrastructure - Task #4231

Task # 4227 (Closed): Activate a VPN service to grant complete access to the servers network from outside

Better authentication system for the openvpn server

Jun 11, 2016 12:53 PM - Andrea Dell'Amico

Status: Closed Start date: Jun 11, 2016

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: System Application Estimated time: 0.00 hour

Target version: System Configuration   

Infrastructure: Development, Pre-Production,

Production

  

Description

We are using the pam module with local users, right now.

A more secure and manageable system should use a 2FA authentication:

local certificates (the personal INFN ones are OK

username authentication via LDAP (a special group is needed to not open access to everyone)

Related issues:

Related to D4Science Infrastructure - Task #4229: Configure OpenVPN on gw.d4s... Closed Jun 11, 2016

History

#1 - Jun 11, 2016 12:53 PM - Andrea Dell'Amico

- Related to Task #4229: Configure OpenVPN on gw.d4science.org added

#2 - Jun 11, 2016 05:00 PM - Andrea Dell'Amico

Different routes for different users could also be used, so that we can access the console servers without exposing them to all the people.

#3 - Sep 07, 2016 02:57 PM - Andrea Dell'Amico

- Status changed from New to In Progress

Update: the openldap-auth-ldap package is broken, openvpn crashes when the plugin is used. Need to find another way.

#4 - Sep 07, 2016 05:28 PM - Andrea Dell'Amico

- % Done changed from 0 to 50

We are now authenticating against the ldap server. An external perl script is doing the checks against the ldap server and the vpn_users group.

#5 - Sep 07, 2016 10:32 PM - Andrea Dell'Amico

- Status changed from In Progress to Closed

- % Done changed from 50 to 100

The certificates authentication is enabled too.
